Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How do deal with "blocked" packages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
luvis
n00b
n00b


Joined: 27 Jun 2003
Posts: 11
Location: sweden

PostPosted: Tue Oct 11, 2005 3:10 pm    Post subject: How do deal with "blocked" packages Reply with quote

I'm not quite getting this. The information is out there but I need someone to explain to me how to do.
I'm on a amd64 computer and I'm trying to emerge "stuff". Right now I tried "emerge world --deep -p"
And this is my answer

[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/khelpcenter-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/khotkeys-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kcminit-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/krdc-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdesu-3.4.1)
[blocks B ] =kde-base/kdenetwork-3.4* (is blocking kde-base/krfb-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kcontrol-3.4.1-r1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdebase-data-3.4.1)
[blocks B ] =kde-base/kdebase-3.4* (is blocking kde-base/kdm-3.4.1)
[ebuild N ] sys-kernel/gentoo-sources-2.6.13-r3
[ebuild N ] media-sound/alsa-driver-1.0.9b
[ebuild N ] app-pda/pilot-link-0.11.8

I get these blocks all the time and I don't know why or what i should do.
I would be glad to get help!
Back to top
View user's profile Send private message
itsmegawtf
Apprentice
Apprentice


Joined: 01 Oct 2005
Posts: 150

PostPosted: Tue Oct 11, 2005 3:12 pm    Post subject: Reply with quote

Code:
man emerge
Back to top
View user's profile Send private message
msalerno
Veteran
Veteran


Joined: 17 Dec 2002
Posts: 1338
Location: Sweating in South Florida

PostPosted: Tue Oct 11, 2005 6:10 pm    Post subject: Reply with quote

This is probably due to the split packages for kde.

I believe that kde-base/kdebase is the full kde package, and from the looks of your output, you have the kde split ebuilds installed. So something you have installed or are trying to install is trying to use kde-base/kdebase. Try looking at the output of emerge -upv --deep world or maybe a equery depends kde-base/kdebase.
Back to top
View user's profile Send private message
luvis
n00b
n00b


Joined: 27 Jun 2003
Posts: 11
Location: sweden

PostPosted: Tue Oct 11, 2005 6:14 pm    Post subject: Reply with quote

Thanks! Kdebase was the problem..
I don't know exactly why, but atleast it is solved.
I removed kdebase and reemerged the backages that were "blocked"
Now its compiling without any problems!
Back to top
View user's profile Send private message
msalerno
Veteran
Veteran


Joined: 17 Dec 2002
Posts: 1338
Location: Sweating in South Florida

PostPosted: Tue Oct 11, 2005 6:55 pm    Post subject: Reply with quote

The reason why is because kde-base/kdebase provides: khelpcenter, khotkeys, kcminit, krdc, kdesu, krfb, kcontrol, kdebase-data and kdm
But since you have the individual ebuilds already installed, they were blocking kde-base/kdebase since you would end up with duplicates.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 9282

PostPosted: Tue Mar 20, 2007 5:39 am    Post subject: Reply with quote

This issue has already been discussed in the topic "Blockers in KDE 3.4.1", where it was summarized by Headrush; and it is also covered in The KDE Configuration HOWTO.

Moved from Portage & Programming to Duplicate Threads.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum